@import "reset.scss";

.container {
	width: 1400px;
	margin: 0;
	margin: auto;
	position: relative;
}
body {
	font-family: "Cabin", sans-serif;
	padding: 0;
}
a {
	text-decoration: none;
}
header {
	position: fixed;
	right: 0;
	left: 0;
	z-index: 1000;
	top: 0;
}
.menu-top {
	display: flex;
	align-items: center;
	justify-content: center;
	right: 0;
	left: 0;
	height: 72px;
	background: #10bbd5;
	font-family: "Cabin", sans-serif;
	&__content {
		display: flex;
		align-items: center;
		justify-content: space-between;
		width: 1296px;
		height: 40px;
	}
	&__title {
		display: flex;
		align-items: center;
		gap: 8px;
	}
	&__logo {
		font-weight: 700;
		font-size: 24px;
		color: #f8fdfe;
	}
	&__cart {
		width: 99px;
		height: 40px;
		display: flex;
		align-items: center;
		justify-content: center;
		gap: 8px;
	}
	&__counter {
		font-weight: 400;
		font-size: 16px;
		line-height: 150%;
		color: #f8fdfe;
	}
	&__button {
		background: url(../images/cart_icon.svg) ; 
		background-size: cover;
		width: 40px;
		height: 40px;
		border: none;
		position: relative;
		cursor: pointer;
		&-text {
			font-weight: 400;
			font-size: 12px;
			line-height: 83%;
			font-family: "Cabin", sans-serif;
			color: #000;
			position: absolute;
			top: 35%;
			left: 50%;
		}
	}
}
.menu-bottom {
	right: 0;
	left: 0;
	background: #fff;
	height: 32px;
	display: flex;
	align-items: center;
	justify-content: center;
	&__container {
		width: 1296px;
		height: 24px;
		display: flex;
		align-items: center;
		justify-content: space-between;
	}
	&__title {
		font-weight: 400;
		font-size: 16px;
		line-height: 150%;
		color: #000;
	}
	&__nav {
		gap: 40px;
	}
}
.navigation {
	display: flex;
	&__link {
		font-weight: 400;
		font-size: 16px;
		line-height: 150%;
		color: #000;
	}
}
main {
	background-color: #EEEEEF;
	padding-top: 104px;
	padding-bottom: 120px;
}
.title-wrapper {
	width: 1296px;
	height: 63px;
	margin: 0;
	margin: auto;
	border-bottom: solid 1px #a8a8a8;
}
.products__title-wrapper {
	margin-top: 32px;
	margin-bottom: 24px;
}
.title {
	font-weight: 600;
	font-size: 32px;
	line-height: 125%;
	color: #1f1f1f;
}
.products {
	display: flex;
	align-items: center;
	justify-content: center;
}
.cards-container {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	grid-gap: 32px 24px;
}
.card {
	width: 306px;
	height: 512px;
	background-color: #fff ;
	margin-right: 0px;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	&__badges {
		position: absolute;
		top: 32px;
		left: 32px;
		display: flex;
		gap: 4px;
	}
	&-bages__item {
		padding: 4px 8px;
		border-radius: 4px;
		font-weight: 400;
		font-size: 16px;
		line-height: 150%;
		text-align: center;
		color: #f8fdfe;
		&--blue {
			background: #4200ff;
		}
		&--violet {
			background: #af39e7;
		}
		&--pink {
			background: #ea33c0;
		}
	}
	&__item {
		column-gap: 20x;
	}
	&__image {
		margin-left: 32px;
		margin-bottom: 16px;
	}
	&__content {
		height: 448px;
		width: 242px;
	}
}
h3 {
	border-bottom: solid 1px #a8a8a8;
	white-space: nowrap;
}
.cart__title {
	font-weight: 700;
	font-size: 20px;
	line-height: 140%;
	color: #1f1f1f;
}
.cart__aythor {
	margin-bottom: 8px;
	font-weight: 400;
	font-size: 16px;
	line-height: 150%;
	color: #8e8e8e;
}
.cart__price {
	font-weight: 500;
	font-size: 24px;
	line-height: 133%;
	color: #e90000;
	&--gray {
		text-decoration: line-through;
		color: #8e8e8e;
		padding-left: 24px;
	}
}
a {
	text-decoration: none;
	list-style-type: none;
}
.button {
	margin-top: 16px;
	border-radius: 4px;
	padding: 8px 24px;
	width: 242px;
	height: 40px;
	background: #4c394e;
	border: none;
	&:hover {
		background-color: #744978;
	}
	&--green {
		background: #4d762d;
		border: none;
		&:hover {
			background-color: #6db236;
		}
	}
	&__text {
		font-weight: 400;
		font-size: 16px;
		line-height: 150%;
		text-align: center;
		color: #f8fdfe;
		font-family: "Cabin", sans-serif;
	}
	&__chat {
		position: fixed;
		top: 0;
		bottom: 0;
		right: 20px;
		z-index: 1001;
		display: flex;
		align-items: center;
	}
}
button {
	cursor: pointer;
}
footer {
	width: 100%;
	background-color: #4C394E;
	display: flex;
	align-items: center;
	justify-content: center;
}
.footer__coteiner {
	width: 1296px;
	min-height: 88px;
	display: flex;
	align-items: center;
	justify-content: space-between;
}
.footer__text {
	font-weight: 400;
	font-size: 16px;
	line-height: 150%;
	color: #f8fdfe;
	font-family: "Cabin", sans-serif;
}
.chat__button {
	right: 15%;
	top: 75%;
	position: fixed;
	border: none;
	background: url(../images/Property\ 1=Default.png) center center no-repeat;
	width: 64px;
	height: 64px;
	&:hover {
		background: url(../images/Property\ 1=Variant2.png) center center no-repeat; 
	}
}
